Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.jaxb.pom.generated
Class PluginExecution

    java.lang.Object
      org.owasp.dependencycheck.jaxb.pom.generated.PluginExecution

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public class PluginExecution

extends Object

4.0.0

Java class for PluginExecution complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PluginExecution">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <all>
             <element name="id" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="phase" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="goals" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="goal" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="inherited" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="configuration" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <any processContents='skip' maxOccurs="unbounded" minOccurs="0"/>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </all>
         </restriction>
       </complexContent>
     </complexType>

Nested Class Summary
`static class` | `PluginExecution.Configuration` Java class for anonymous complex type.
`static class` | `PluginExecution.Goals` Java class for anonymous complex type.

Field Summary
`protected PluginExecution.Configuration` | `configuration`
`protected PluginExecution.Goals` | `goals`
`protected String` | `id`
`protected String` | `inherited`
`protected String` | `phase`

Constructor Summary
`PluginExecution()`

Method Summary
`PluginExecution.Configuration` | `getConfiguration()` Gets the value of the configuration property.
`PluginExecution.Goals` | `getGoals()` Gets the value of the goals property.
`String` | `getId()` Gets the value of the id property.
`String` | `getInherited()` Gets the value of the inherited property.
`String` | `getPhase()` Gets the value of the phase property.
`void` | `setConfiguration(PluginExecution.Configuration value)` Sets the value of the configuration property.
`void` | `setGoals(PluginExecution.Goals value)` Sets the value of the goals property.
`void` | `setId(String value)` Sets the value of the id property.
`void` | `setInherited(String value)` Sets the value of the inherited property.
`void` | `setPhase(String value)` Sets the value of the phase property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String id

### phase

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String phase

### goals

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected PluginExecution.Goals goals

### inherited

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected String inherited

### configuration

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    protected PluginExecution.Configuration configuration

Constructor Detail

### PluginExecution

    public PluginExecution()

Method Detail

### getId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getId()

  Gets the value of the id property.

  Returns:
    possible object is `String`

### setId

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setId(String value)

  Sets the value of the id property.

  Parameters:
    `value` - allowed object is `String`

### getPhase

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getPhase()

  Gets the value of the phase property.

  Returns:
    possible object is `String`

### setPhase

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setPhase(String value)

  Sets the value of the phase property.

  Parameters:
    `value` - allowed object is `String`

### getGoals

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public PluginExecution.Goals getGoals()

  Gets the value of the goals property.

  Returns:
    possible object is `PluginExecution.Goals`

### setGoals

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setGoals(PluginExecution.Goals value)

  Sets the value of the goals property.

  Parameters:
    `value` - allowed object is `PluginExecution.Goals`

### getInherited

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public String getInherited()

  Gets the value of the inherited property.

  Returns:
    possible object is `String`

### setInherited

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setInherited(String value)

  Sets the value of the inherited property.

  Parameters:
    `value` - allowed object is `String`

### getConfiguration

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public PluginExecution.Configuration getConfiguration()

  Gets the value of the configuration property.

  Returns:
    possible object is `PluginExecution.Configuration`

### setConfiguration

    @Generated(value="com.sun.tools.internal.xjc.Driver",
               date="2012-11-09T12:33:57-05:00",
               comments="JAXB RI vJAXB 2.1.10 in JDK 6")
    public void setConfiguration(PluginExecution.Configuration value)

  Sets the value of the configuration property.

  Parameters:
    `value` - allowed object is `PluginExecution.Configuration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.